## biosig4c++ 1.4.1

=== debian/changelog ===
biosig4c++ (1.4.1-2~nd80+1) jessie; urgency=low

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 25 Mar 2015 13:49:53 -0400

biosig4c++ (1.4.1-2) neurodebian; urgency=medium

  * Just a policy boost to 3.9.6 (no other changes)
    to trigger also a fresh rebuild

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 25 Mar 2015 13:19:46 -0400

biosig4c++ (1.4.1-1) experimental; urgency=low

  * Fresh upstream release:
    - adopted up_correct_biosig_LIBS_in_mex and up_no_need_for_-lidn
      patches
    - restored some API removed in 1.4.0 (one overload 
      _Z8ReadByteIaEvRT_@Base was still removed, allowing to slip through)
  * debian/watch: adjusted according to Alois (upstream) recommendation
  * debian/control:
    - Removed libxml2 from Build-Depends (upstream's hint)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Oct 2012 10:22:07 -0400

biosig4c++ (1.3.6-1) experimental; urgency=low

  * New upstream (primarily bugfix) release
  * debian/patches
    - deb_no_mex_copy_upstairs: adjusted to just override COPY in mex/Makefile
    - deb_no_locals: adopted upstream
    - others refreshed to reflect (partial) adoption upstream and changes
    - up_no_need_for_-lidn to remove obsolete -lidn 

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 07 Sep 2012 14:44:22 -0400

biosig4c++ (1.3.5-1) experimental; urgency=low

  * New upstream release (restores compatibility with API 1.3 broken in
    non-uploaded revisions)
  * debian/patches
    - 0001-Revert-do-not-install-dynamic-library-we-need-dynami.patch
      to install shared library
    - up_correct_biosig_LIBS_in_mex
      to provide correct args for mkoctfile while linking against dynamic
      library

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Jul 2012 09:40:16 -0400
