## biosig4c++ 1.9.3

=== DESCRIPTION ===
Name: BioSig
Version: 1.9.3
Date: 2018-12-02
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: BioSig
Description: A software library for biomedical signal processing.
Depends: octave (> 2.9.0),
License: GPL version 3 or later
Url: http://biosig.sf.net
