=== debian/changelog ===
biosig4c++ (1.9.3-2ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:30:13 +0000

biosig4c++ (1.9.3-2ubuntu1) focal; urgency=medium

  * Drop python2 support.  Closes: #936207.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Nov 2019 11:24:07 -0800

biosig4c++ (1.9.3-2build1) focal; urgency=medium

  * Rebuild against new liboctave7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Nov 2019 20:40:08 +0100

biosig4c++ (1.9.3-2) unstable; urgency=medium

  * Team upload
  * Provide symbols file only for architectures where it can be used
    unchanged
  * Add Build-Depends: libdcmtk-dev, libxml2-dev, libb64-dev
    as upstream suggests

 -- Andreas Tille <tille@debian.org>  Sun, 20 Jan 2019 22:09:35 +0100

biosig4c++ (1.9.3-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
    Closes: #860081
  * debian/gbp.conf:
     - debian-branch is now debian
     - cleanup from old syntax specifying default settings
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * debian/blends: removed since redundant (debian/upstream/metadata)
  * Drop -dbg package in favour of autogenerated one
  * Add python3-biosig
  * Delete outdated README.Debian
  * Drop paragraph about source tarball generated from git from README.source
  * Adapt lintian-overrides
  * Use d-shlibs
  * Several symbols from version 1.3.6 are missing thus there is an ABI change
    and SOVERSION needs to be bumped
    --> set SOVERSION=2
  * Re-activate and update symbols file

  [ Rafael Laboissiere ]
  * d/control: Build-depends on dh-octave
  * d/rules: Use dh_octave_substvar for determining octave:Depends
    Closes: #890060
  * Use unversioned path for installing the *.mex files
    Closes: #734046

 -- Andreas Tille <tille@debian.org>  Thu, 17 Jan 2019 14:44:34 +0100
