=== debian/control ===
Source: biosig4c++
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               d-shlibs,
               gawk,
               python3-dev,
               swig,
               python3-numpy,
               python3-pkgconfig,
               zlib1g-dev,
               libsuitesparse-dev,
               dh-octave,
               libdcmtk-dev,
               libxml2-dev,
               libb64-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/neurodebian-team/biosig4c
Vcs-Git: https://salsa.debian.org/neurodebian-team/biosig4c.git
Homepage: http://biosig.sf.net/

Package: libbiosig2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: I/O library for biomedical data - dynamic library
 BioSig is a library for accessing files in several biomedical data formats
 (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB, HL7aECG,
 SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100,
 FAMOS, SigmaPLpro, TMS32).  The complete list of supported file
 formats is available at http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 This package provides dynamic library.

Package: libbiosig-dev
Architecture: any
Section: libdevel
Depends: libbiosig2 (= ${binary:Version}),
         ${misc:Depends}
Description: I/O library for biomedical data - development files
 BioSig is a library for accessing files in several biomedical data formats
 (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB, HL7aECG,
 SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100,
 FAMOS, SigmaPLpro, TMS32).  The complete list of supported file
 formats is available at http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 This package provides header files and static library.

Package: biosig-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: format conversion tools for biomedical data formats
 Based on BioSig library, this package provides command line
 tools, such as
 .
  - save2gdf: converter between different file formats, including but
    not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF, BDF,
    CWFB.  save2gdf can be also used to upload or retrieve data from a
    bscs server.

Package: python3-biosig
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Python3 bindings for BioSig library
 This package provides Python3 bindings for BioSig library.  Primary
 goal -- I/O interface to variety of biomedical file formats, including
 but not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF.

Package: octave-biosig
Architecture: any
Depends: ${octave:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Octave bindings for BioSig library
 This package provides Octave bindings for BioSig library.  Primary
 goal -- I/O interface to variety of biomedical file formats, including
 but not limited to SCP-ECG(EN1064), HL7aECG (FDA-XML), GDF, EDF.
