## biosig4c++ 1.9.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: BioSig
-Version: 1.9.3
-Date: 2018-12-02
+Version: 1.9.5
+Date: 2019-07-25
 Author: Alois Schloegl <alois.schloegl@ist.ac.at>
 Maintainer: Alois Schloegl
 Title: BioSig
