=== debian/changelog ===
biosig4c++ (1.9.5-1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * Fresh upstream release
  * debian/patches
    - dropped patches/fix_soname.patch -- upstreamed
  * debian/control
    - added libtinyxml-dev to build-depends

  [ Andreas Tille ]
  * Take over package into Debian Med team maintenance
  * debian/gbp.conf: deleted since converted to default layout
  * Provide symbols file only for architectures where it can be used
    unchanged
  * Add Build-Depends: libdcmtk-dev, libxml2-dev, libb64-dev
    as upstream suggests
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/rules
  * Use secure URI in debian/watch.
  * Remove empty debian/patches/series.
  * Set upstream metadata fields: Archive, Repository.
  * Drop Python2 support (some refinements for Python3 only
    Closes: #936207
  * Refresh symbols file
    Closes: #925643
  * Fix permissions
  * Drop unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 02 Mar 2020 08:32:47 +0100
