=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: biosig4c++
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                d-shlibs,
                gawk,
                python3-dev,
                swig,
                python3-numpy,
-               python3-pkgconfig,
                zlib1g-dev,
                libsuitesparse-dev,
                dh-octave,
                libdcmtk-dev,
                libxml2-dev,
+               libtinyxml-dev,
                libb64-dev
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/neurodebian-team/biosig4c
-Vcs-Git: https://salsa.debian.org/neurodebian-team/biosig4c.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/biosig4c
+Vcs-Git: https://salsa.debian.org/med-team/biosig4c.git
 Homepage: http://biosig.sf.net/
 
 Package: libbiosig2
