=== debian/watch ===
version=3
https://sf.net/biosig/biosig4c\+\+-(.*)\.src\.tar\.gz
